import axios from "axios";
import { Cookies } from "react-cookie";

const cookies = new Cookies();

const http = axios.create({
	baseURL: process.env.REACT_APP_BACKEND_URL,
});

http.interceptors.request.use((config) => {
	const authToken = cookies.get("authToken");
	console.log(authToken);
	if (authToken) {
		config.headers.Authorization = authToken;
	}
	return config;
});

http.interceptors.response.use(
	(response) => response,
	(error) => {
		const isCookiePresent = cookies.get("authToken");
		console.log(isCookiePresent,"jkk")
		if (
			error.response &&
			isCookiePresent &&
			(error.response.status === 403 || error.response.status === 401)
		) {
			cookies.remove("authToken", { path: "/" });
			window.location.href = "/";
		}
		return Promise.reject(error);
	}
);

export default http;
